<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RABBITHOLD PRIME | POWERED BY CODECUTER</title>
    <link rel="stylesheet" type="text/css" href="/clap.css">
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Arial, sans-serif;
            background-color: #000;
        }
        #player {
            height: 100vh; /* Make the player cover the entire viewport height */
            width: 100%;
        }
    </style>
</head>
<body>
    <div id="player"></div>

    <script src="//cdn.jsdelivr.net/npm/clappr@latest/dist/clappr.min.js"></script>
    <script src="//cdn.jsdelivr.net/gh/clappr/clappr-level-selector-plugin@latest/dist/level-selector.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/@clappr/hlsjs-playback@1.2.0/dist/hlsjs-playback.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/@c3voc/clappr-audio-track-selector@0.2.4/dist/audio-track-selector.min.js"></script>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var id = "<?php echo isset($_GET['c']) ? $_GET['c'] : ''; ?>";
            var player = new Clappr.Player({
                source: 'vstream.m3u8?id=' + id,
                mimeType: "application/x-mpegURL",
                autoPlay: true,
                width: '100%',
                height: '100%',
                plugins: [HlsjsPlayback, LevelSelector, AudioTrackSelector],
                mediacontrol: { seekbar: "#ff0000", buttons: "#eee" },
                parentId: "#player"
            });
        });
    </script>
</body>
</html>
